gr-baz Package

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gr::baz::sdl_sink_uc Class Referenceabstract

video sink using SDL More...

`#include <baz_sdl_sink_uc.h>`

Inheritance diagram for gr::baz::sdl_sink_uc:
[legend]

## Public Types
typedef boost::shared_ptr< sdl_sink_uc > | sptr

## Public Member Functions
virtual void | flip (void)=0

## Static Public Member Functions
static sptr | make (double framerate, int width, int height, unsigned int format, int dst_width, int dst_height, const std::string filename="", bool manual_flip=false, const std::string font_path="")

## Detailed Description

video sink using SDL

input signature is one, two or three streams of uchar. One stream: stream is grey (Y) two streems: first is grey (Y), second is alternating U and V Three streams: first is grey (Y), second is U, third is V Input samples must be in the range [0,255].

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<sdl_sink_uc> gr::baz::sdl_sink_uc::sptr

## Member Function Documentation

## ◆ flip()

virtual void gr::baz::sdl_sink_uc::flip | ( | void |  | ) |
| pure virtual

## ◆ make()

static sptr gr::baz::sdl_sink_uc::make | ( | double | framerate,
|  | int | width,
|  | int | height,
|  | unsigned int | format,
|  | int | dst_width,
|  | int | dst_height,
|  | const std::string | filename = `""`,
|  | bool | manual_flip = `false`,
|  | const std::string | font_path = `""`
| ) |  |
| static

The documentation for this class was generated from the following file:

- baz_sdl_sink_uc.h